/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * http://www.gnu.org/copyleft/gpl.html
 */

package com.l2dot.gameserver.handler.voicedcommandhandlers;

import com.l2dot.Config;
import com.l2dot.gameserver.handler.IVoicedCommandHandler;
import com.l2dot.gameserver.model.actor.instance.L2PcInstance;


/**
 *
 * @author Micro
 * @modified by Matim
 *
 */
 
public class farm1 implements IVoicedCommandHandler
{
    private static final String[] VOICED_COMMANDS = { "farm1" };

    public boolean useVoicedCommand(String command, L2PcInstance activeChar, String target)
    {   
       
        if (command.equalsIgnoreCase("farm1"))
        {          
             if(activeChar.isInJail())
            {
                activeChar.sendMessage("Sorry,you are in Jail!");
                return false;
            }
            else if(activeChar.isInOlympiadMode())
            {
                activeChar.sendMessage("Sorry,you are in the Olympiad now.");
                return false;
            }
                    
            else if(activeChar.atEvent)
            {
                activeChar.sendMessage("Sorry,you are in an event.");
                return false;
            }
            else  if (activeChar.isInDuel())
            {
                activeChar.sendMessage("Sorry,you are in a duel!");
                return false;
            }
            else if (activeChar.inObserverMode())
            {
               activeChar.sendMessage("Sorry,you are in the observation mode.");
            }            
            else if (activeChar.isFestivalParticipant())
            {
                activeChar.sendMessage("Sorry,you are in a festival.");
                return false;
            }         
			
               int placex;
               int placey;
               int placez;
               
               placex = Config.FARM1_X;
               placey = Config.FARM1_Y;
               placez = Config.FARM1_Z;
               
               activeChar.teleToLocation(placex, placey, placez);
               activeChar.sendMessage(Config.FARM1_CUSTOM_MESSAGE);

        }
        return true;
    }
    public String[] getVoicedCommandList()
    {
        return VOICED_COMMANDS;
    }

}